#include "logger.h"

Logger::Logger()
{
	nLine=0;
	return;
}

Logger::Logger(string str)
{
	nLine=0;
	openFile(str);
	return;
}

Logger::~Logger()
{
	fclose(fp);
	return;
}

void Logger::openFile(string str){
	file = str;
	fp = fopen(str.c_str(),"w");
	fclose(fp);
	fp = fopen(str.c_str(),"a+");
	return;
}

void Logger::addColumn(string C)
{
	Columns.push_back(C);
	
	float t=0;
	Data.push_back(t);
	return;
}

int Logger::getPosition(string C)
{
	list<string>::iterator i;
	int j=0;
	
	for(i=Columns.begin();i!=Columns.end();i++){
		j++;
		if(C==*i){
			return j;
		}
	}
	return 0;
}

void Logger::newLine()
{
	stringstream buffer (stringstream::in | stringstream::out);
	list<string>::iterator i;
	list<float>::iterator j;
	
	if(nLine==0){
		for(i=Columns.begin();i!=Columns.end();i++){
			buffer<<*i<<"\t";
		}
	}else{
		for(j=Data.begin();j!=Data.end();j++){
			buffer<<*j<<"\t";
			*j=0;
		}
	}
	buffer<<"\n";
	
	fprintf(fp,"%s",buffer.str().c_str());
	nLine++;
	return;
	
}

int Logger::addData(string C,float d)
{
	int pos;
	int j=0;
	list<float> vdata;
	
	list<float>::iterator i;
	
	if(nLine==0){
		newLine();
	}
	
	pos=getPosition(C);
	if(!pos){
		return 0;
	}
	
	i=Data.begin();
	while(i!=Data.end() && pos!=j){
		j++;
		//printf("%d\n",j);
		i++;
	};
	if(pos==j){
		i--;
		*i=d;
	}else{
		return 0;
	}
	return j;
}

int Logger::GetnLine()
{
	return nLine;
}



void Logger::toString()
{
	list<string>::iterator i;
	list<float>::iterator j;
	
	cout<<"colonne: "<<Columns.size()<<endl;
	
	for(i=Columns.begin();i!=Columns.end();i++){
		cout<<*i<<"\t";
	}
	cout << endl;
	for(j=Data.begin();j!=Data.end();j++){
		cout<<*j<<"\t";
	}
	
	cout<<"\n";
}
