using namespace std;

#include "member_zero.h"
#include <unistd.h>

MemberZero::MemberZero (DCDT_Agora* agora)
:DCDT_Member(agora,200000)
{
};

MemberZero::~MemberZero()
{
};

void MemberZero::Init()
{
  printf("\nMemberZero: Initializing\n");
  fflush(stdout);

  SubscribeMsgType(33);
  //  SubscribeMsgType(34);
};

void MemberZero::DoYourJob (int par)
{
  struct LanMsg * myLanMsg; 

  newMsg = CreateMsg(34);
  myLanMsg = new  struct LanMsg;


  strcpy(myLanMsg->text, "Hallo, this is MemberZero on ");
  strcat(myLanMsg->text, myIPAddr);
  myLanMsg->ID = counter_1++;
  
  gettimeofday( &myLanMsg->create_time, 0);

  newMsg->SetPayload(myLanMsg, sizeof( struct LanMsg));
  //  cout << "\nM0: Sharing msg type 1";

  ShareMsg( newMsg );


  DCDT_Msg* rxMsg;

  while ((rxMsg = ReceiveMsg()) ) {
    struct LanMsg * myPayload;
    myPayload = (struct LanMsg *) rxMsg->GetPayload();
    cout << "\nM0: Received msg type=" << rxMsg->ReadType() 
	 << "ID=" << myPayload->ID 
	 << " -- Payload: " << myPayload->text;

    RemoveCurrMsg();
  }
  
  //getchar();
};

void MemberZero::Close()
{
};


