/****************************************************************************
dEVICE cOMMUNITIES dEVELOPMENT tOOLKIT 

DCDT_MsgManager.h

COPYRIGHT (C) 2002  Paolo Meriggi (meriggi@ing.unibs.it)
                    Cristian Giussani (cgiussani@fastflow.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.

****************************************************************************/

#ifndef DCDT_MSGMANAGER_H
#define DCDT_MSGMANAGER_H

#include <DCDT_Defs.h>
#include <DCDT_Msg.h>
#include <DCDT_Member.h>

/*! \class DCDT_MsgManager
 *  \brief System member that clean the message queue from the messages read by all the members. 
 */
class DCDT_MsgManager : public DCDT_Member {
  public:
  DCDT_MsgManager(DCDT_Agora * agora);
  ~DCDT_MsgManager();

  void Init();
  void Close();
  void DoYourJob(int = 0);

  private:

};

#endif //define
