#ifndef MotorConstants_h
#define MotorConstants_h

using namespace std;

//Devices
const char TTYS0[] = "/dev/ttyS0";
const char TTYS1[] = "/dev/ttyS1";
const char TTYUSB0[] = "/dev/ttyUSB0";
const char USB0[] = "/dev/ttyUSB0";
const char USB1[] = "/dev/ttyUSB1";

//AIRBoard constants
const string MOTOR_DEV_0 = "m0";
const string MOTOR_DEV_1 = "m1";
const string KICKER = "k";
const string PLUS = "+";
const string READ_SPEEDS = "r2s\r";
const string READ_SPEEDS_SX = "r1s\r";
const string READ_SPEEDS_DX = "r0s\r";
const string READ_ENCODER_SX = "r0e\r";
const string READ_ENCODER_DX = "r1e\r";
const string READ_ENCODERS = "r2e\r";

//Giano constants
const string TAN_SPEED = "TanSpeed";
const string ROT_SPEED = "RotSpeed";
const string ACT_TAN_SPEED = "ActTanSpeed";
const string ACT_ROT_SPEED = "ActRotSpeed";

const string SPEED_MOTOR_SX = "SpeedMotorSx";
const string SPEED_MOTOR_DX = "SpeedMotorDx";
const string ENCODER_MOTOR_SX = "EncoderMotorSx";
const string ENCODER_MOTOR_DX = "EncoderMotorDx";

//Triskar constants
const string TAN_X = "TanX";
const string TAN_Y = "TanY";
const string SPEED_MODULE = "Module";
const string SPEED_ANGLE  = "Angle";
const string ROT = "Rot";
const string SPEED_MOTOR_0 = "SpeedMotor0";
const string SPEED_MOTOR_1 = "SpeedMotor1";
const string SPEED_MOTOR_2 = "SpeedMotor2";
const string ENCODER_MOTOR_0 = "EncoderMotor0";
const string ENCODER_MOTOR_1 = "EncoderMotor1";
const string ENCODER_MOTOR_2 = "EncoderMotor2";
const string ACT_TAN_X_SPEED = "Act_Tan_X_Speed";
const string ACT_TAN_Y_SPEED = "Act_Tan_Y_Speed";
//const string ACT_ROT_SPEED = "Act_Rot_Speed";
const string ROBOT_X = "robot_x";
const string ROBOT_Y = "robot_y";
const string ROBOT_PHI = "robot_phi";

//Metamorphic constants
const string X_SPEED = "TanX";
const string Y_SPEED = "TanY";
const string OMEGA_SPEED = "Rot";
const string SHAPE = "Shape";
const string ACT_X_SPEED = "P108\r";
const string ACT_Y_SPEED = "P109\r";
const string ACT_OMEGA_SPEED = "P110\r";

const string DELTA_X = "delta_x";
const string DELTA_Y = "delta_y";
const string DELTA_OMEGA = "delta_omega";

const string DELTA_X_RESEGHE = "P117\r";
const string DELTA_Y_RESEGHE = "P118\r";
const string DELTA_OMEGA_RESEGHE = "P119\r";

const string RESET_ABACO = "P9=1\r";

const string ROBOT_MOVEMENT = "movement";
const string ROBOT_DIRECTION = "direction";
const string ROBOT_ORIENTATION = "orientation";

const string KICK = "Kick";

const string STATUS = "Status";
#endif
