#Defence Predictive
#The bigger is the angle between the robot and the ball, the faster the robot turns its wheels
#The farther the ball, the faster the Robot

#Ball not in contact
#Moving left or right
[8]{
(AND	(NOT (BallInContact))
	(AND	(Ball<D>) 
		(AND	(MovingRight<D>)
			(BallMovingLeft))))	=>	(Module MID);

(AND	(NOT (BallInContact))
	(AND	(Ball<D>) 
		(AND	(MovingRight<D>)
			(BallMovingRight))))	=>	(Module	VERY_FAST);

(AND	(NOT (BallInContact))
	(AND	(Ball<D>) 
		(AND	(MovingLeft<D>)
			(BallMovingLeft))))	=>	(Module	VERY_FAST);

(AND	(NOT (BallInContact))
	(AND	(Ball<D>) 
		(AND	(MovingLeft<D>)
			(BallMovingRight))))	=>	(Module	MID);
}

#Not moving left or right
[8]{
(AND	(NOT (BallInContact))
	(AND	(Ball<D>)
		(AND 	(NOT (MovingRight<D>))
			(AND 	(NOT (MovingLeft<D>))
				(BallMovingLeft)))))		=>	(Module MID)
									(Angle <D-2>);
(AND	(NOT (BallInContact))
	(AND	(Ball<D>)
		(AND 	(NOT (MovingRight<D>))
			(AND 	(NOT (MovingLeft<D>))
				(BallMovingRight)))))		=>	(Module MID)								
									(Angle <D+2>);
}

#Ball in contact 
#Moving left or right
[NW,W,SW,S,SE,E,NE]{
(AND	(BallInContact)
	(AND	(Ball<D>) 
		(AND	(MovingRight<D>)
			(BallMovingLeft))))	=>	(Module STEADY);

(AND	(BallInContact)
	(AND	(Ball<D>) 
		(AND	(MovingRight<D>)
			(BallMovingRight))))	=>	(Module	MID);

(AND	(BallInContact)
	(AND	(Ball<D>) 
		(AND	(MovingLeft<D>)
			(BallMovingLeft))))	=>	(Module	MID);

(AND	(BallInContact)
	(AND	(Ball<D>) 
		(AND	(MovingLeft<D>)
			(BallMovingRight))))	=>	(Module	STEADY);
}

#Not moving left or right
[NW,W,SW,S,SE,E,NE]{
(AND	(BallInContact)
	(AND	(Ball<D>)
		(AND 	(NOT (MovingRight<D>))
			(AND 	(NOT (MovingLeft<D>))
				(BallMovingLeft)))))		=>	(Module VERY_SLOW)
									(Angle <D-3>);
(AND	(BallInContact)
	(AND	(Ball<D>)
		(AND 	(NOT (MovingRight<D>))
			(AND 	(NOT (MovingLeft<D>))
				(BallMovingRight)))))		=>	(Module VERY_SLOW)								
									(Angle <D+3>);
}