#ifndef LogExpert_h
#define LogExpert_h

#include "StringModuleMember.h"

#include <sys/time.h>
#include <stdlib.h> 
#include <stdio.h>
#include <const.h>
#include <msg.h>

#include <sys/time.h>

#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <SDL.h>

class LogExpert : public StringModuleMember
{
	 	public:
  		LogExpert (ModuleDispatch* kernel, int period);
  		~LogExpert ();
   		void RunInit();
   		void RunClose();
   		void RunDuty();

   		void AddAttribute(string name, float value, float std_dev, float reliability);

 		private:
 		void resize_window(GLint, GLint);
 		void display();
 		long elapsed();
 		struct timeval last_render;
 		float px,py,pa;
 		long frame;

	};
#endif
