#include "SonarReceptionExpert.h"

SonarReceptionExpert::SonarReceptionExpert(ModuleDispatch* dis,long period) : StringModuleMember(dis, period, "SonarExpert")
{
	printf("\nSonarReceptionExpert built");
	fflush(stdout);
}

SonarReceptionExpert::~SonarReceptionExpert()
{
	printf("\nSonarReceptionExpert destroyed");
	fflush(stdout);
}

void SonarReceptionExpert::RunInit()
{
	AddMessageRequest(MSG_TO_BRIAN, LOCAL);

	printf("\nSonarReceptionExpert initialized");
	fflush(stdout);
}

void SonarReceptionExpert::RunDuty()
{
	unsigned char* buffer;

	if (ReceiveLastMessage(MSG_TO_BRIAN, buffer, false) > 0)
	{
		
		printf("\nMessaggio ricevuto>>> %s", buffer);
		fflush(stdin);
	}
}

void SonarReceptionExpert::RunClose()
{
	printf("\nSonarReceptionExpert closed");
	fflush(stdout);
}