#ifndef _LOGGER_H
#define _LOGGER_H

#include <iostream>
#include <vector>
#include <list>
#include <string>
#include <sstream>


using namespace std;

class Logger
{
	public:
		Logger();
		Logger(string str);
		~Logger();
		void openFile(string str);
		void toString();
		void addColumn(string C);
		int getPosition(string C);
		int addData(string C,float d);
		void newLine();
		int GetnLine();
	private:
		int nC;
		list<string> Columns;
		list<float> Data;
		string file;
		FILE* fp;
		long nLine;
};

#endif
