#ifndef LOAD_CPU_H
#define LOAD_CPU_H

#include <DCDT_Member.h>
#include <DCDT_Agora.h>
#include "const.h"
#include "types.h"
//#include "member_zero.h"


class MemberLoadCpu : public DCDT_Member
{
 public:
  MemberLoadCpu(DCDT_Agora*,struct cpu_load_t *, long int *);
  ~MemberLoadCpu();

  void Init();
  void Close();
  void DoYourJob(int =0);
  struct cpu_load_t* GetData();

 private:

  int f;
  int message_received_one;
  int message_received_two;
  int message_received_three;
  int wake,err;
  int infoType[2];

  long int * current_loop;

  //  MemberZero* threadZero;

  struct cpu_load_t *cpu_load;
  char* strFileUptime;
  FILE* fileUptime;
  float last_uptime, last_idletime, up_time, idle_time,desp;
  int count_loops;

};

#endif //define
