/**********************************************
 * DCDT                       January 2002    *  
 *                                            *
 * DCDT_Main.cpp                              *
 *                                            *
 *                                            *
 **********************************************/

#include <DCDT_Agora.h>
#include <DCDT_Member.h>
#include <DCDT_Time.h>

#include "const.h"

#include "member_two.h"

int main() {

  DCDT_Agora *agora;
  MemberTwo *member2;

  agora = new DCDT_Agora();

  member2 = new MemberTwo(agora);

  agora->AddMember(member2);

  printf("\n\nPress a key to create the Community\n\n");
  getchar();

  agora->ActivateMember(member2);

  printf("\n\nPress a key and ''let's work, be proud...'' \n\n");
  getchar();

  agora->LetsWork();

  delete member2;

  delete agora;

  printf("\n\nCommunity Session Terminated\n\n");

  return 0;
}
