#include "const.h"
#include "Pinger.h"
#include "interface.h"

// Sostituire con indirizzo della propria rete da utilizzare

int main(int argc,char** argv)
{
 
	DCDT_Agora *agora;
	Pinger *PtrPinger;
	Interface *PtrInterface;

        agora = new DCDT_Agora ();

	PtrPinger = new Pinger(agora);
        PtrInterface = new Interface(agora);
	
	agora->AddMember(PtrPinger);
       	agora->AddMember(PtrInterface);
	
        printf ("\n\nPress a key To Start Session\n\n");
	getchar();

	agora->ActivateMember(PtrPinger);
        agora->ActivateMember(PtrInterface);

	agora->LetsWork();

	agora->RemoveMember(PtrPinger);
        agora->RemoveMember(PtrInterface);

	delete agora;

	printf("\n\nSession Terminated.\n\n");
	return 0;
}






