#include "DCDT_InnerChannel.h"


DCDT_InnerChannel::DCDT_InnerChannel(int AgoraID) : DCDT_Channel(AgoraID) {
    notify.payload_len = answer.payload_len = 0;
    notify.channel = answer.channel = 0;
    notify.AgoraID = answer.AgoraID = AgoraID;
    localCD = remoteCD = NULL;
    inner_name = NULL;
    sock = new InnerSocket();
  }

DCDT_InnerChannel::~DCDT_InnerChannel()
{
  if ( sock )
      delete sock;
  
  if ( localCD )
    delete localCD;
  
  if ( remoteCD )
    delete remoteCD;
  
  if ( inner_name )
    delete[] inner_name;
};

InnerCommData::InnerCommData() {
    name = NULL;
  }

InnerCommData::InnerCommData(char* n) {
    name = new char[strlen(n)+2];
    strcpy (name, n);
  }

InnerCommData::InnerCommData(InnerCommData *cd) {
    // +2 because we append a character in DCDT_InnerLinkManager::SetCDs
    name = new char[strlen(cd->name)+2];
    strcpy(name, cd->name);
  }

