//#include <AchilleBoard.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>

int main()
{
#if 0
  int sx, dx;//,a_sx,a_dx;
  float CM_STEP_SX,CM_STEP_DX;
  float CM_2STEP_SX,CM_2STEP_DX;
  float CM_STEPuSEC_SX,CM_STEPuSEC_DX;
  AchilleBoard *H = new AchilleBoard();

  // lettura precedente configurazione

  FILE * fd1;
  float ErrorPeak[5];
  float AccelValue[5];
  float IntErrorPeak[5];
  float DerErrorPeak[5];
  float max_speed;
  float MIN_INT_SPEED, MAX_INT_SPEED;
  int kicker_loading_time, kicker_kick2load_time;
  int  min_pos_speed_sx, min_pos_speed_dx;
  int  min_neg_speed_sx, min_neg_speed_dx;
  int Rules[5][5];
  
  fd1 = fopen("motor.cfg","r");

  fscanf(fd1,"Error PEAKS = %f %f \n", &ErrorPeak[0], &ErrorPeak[1]); 
  fscanf(fd1,"AccelValue[] = %f %f \n", &AccelValue[0],  &AccelValue[1] );
  fscanf(fd1,"Integral PEAKS = %f %f \n", &IntErrorPeak[0], &IntErrorPeak[1]); 
  fscanf(fd1,"Derivative PEAKS = %f %f \n", &DerErrorPeak[0], &DerErrorPeak[1]); 
  fscanf(fd1,"MaxSpeed = %f \n", &max_speed );
  fscanf(fd1,"MIN_INT_SPEED = %f\n", &MIN_INT_SPEED);
  fscanf(fd1,"MAX_INT_SPEED = %f\n", &MAX_INT_SPEED);
  fscanf(fd1,"Kicker kick2load time = %d\n", &kicker_kick2load_time);
  fscanf(fd1,"Kicker loading time = %d\n", &kicker_loading_time);
  fscanf(fd1,"min positive speed SX = %d \n", &min_pos_speed_sx);
  fscanf(fd1,"min negative speed SX = %d \n", &min_neg_speed_sx);
  fscanf(fd1,"min positive speed DX = %d \n", &min_pos_speed_dx);
  fscanf(fd1,"min negative speed DX = %d \n", &min_neg_speed_dx);
  fscanf(fd1,"RULES|%d|%d|%d|%d|%d| \n", &Rules[4][0], &Rules[4][1], &Rules[4][2], &Rules[4][3], &Rules[4][4]);
  fscanf(fd1,"     |%d|%d|%d|%d|%d| \n", &Rules[3][0], &Rules[3][1], &Rules[3][2], &Rules[3][3], &Rules[3][4]);
  fscanf(fd1,"der  |%d|%d|%d|%d|%d| \n", &Rules[2][0], &Rules[2][1], &Rules[2][2], &Rules[2][3], &Rules[2][4]);
  fscanf(fd1,"     |%d|%d|%d|%d|%d| \n", &Rules[1][0], &Rules[1][1], &Rules[1][2], &Rules[1][3], &Rules[1][4]);
  fscanf(fd1,"     |%d|%d|%d|%d|%d| \n", &Rules[0][0], &Rules[0][1], &Rules[0][2], &Rules[0][3], &Rules[0][4]);
  fscanf(fd1,"CM_STEPuSEC_SX %f",&CM_STEPuSEC_SX);
  fscanf(fd1,"CM_STEPuSEC_DX %f",&CM_STEPuSEC_DX);
  fscanf(fd1,"CM_2STEP_SX %f",&CM_2STEP_SX);
  fscanf(fd1,"CM_2STEP_DX %f",&CM_2STEP_DX);
  fscanf(fd1,"CM_STEP_SX %f",&CM_STEP_SX);
  fscanf(fd1,"CM_STEP_DX %f",&CM_STEP_DX);
  
  fclose(fd1);
  
  //taratura dei motori
  
  int i,n_mis;
  float tot_sx=0,tot_dx=0;
  sx=dx=0;
  printf("\nQuanti misure vuoi fare? ");
  scanf("%d",&n_mis);
  printf("\nInizio\n");
  getchar();
  for (i=1;i<=n_mis;i++)
    {
      H->reset_encoder();
      printf("\nmuovere %d\n",i);
      getchar();
      H->get_encoder(&sx,&dx);    
      printf("\nsx: %d dx: %d",sx,dx);
      tot_sx=tot_sx+sx;
      tot_dx=tot_dx+dx;
    }
  
  tot_sx=tot_sx/n_mis;
  tot_dx=tot_dx/n_mis;
  
  CM_STEP_SX=100/tot_sx;
  CM_STEP_DX=100/tot_dx;
  CM_2STEP_SX=CM_STEP_SX*2;
  CM_2STEP_DX=CM_STEP_DX*2;
  CM_STEPuSEC_SX=CM_STEP_SX*1000000;
  CM_STEPuSEC_DX=CM_STEP_DX*1000000;
  
  printf("\nCM_STEP_SX: %f CM_STEP_DX: %f\n",100/tot_sx,100/tot_dx);
  printf("CM_2STEP_SX: %f CM_2STEP_DX: %f\n",50/tot_sx,50/tot_dx);
  printf("CM_STEPuSEC_SX: %f CM_STEPuSEC_DX: %f\n",100*1000000/tot_sx,100*1000000/tot_dx);
  
  fd1 = fopen("motor.cfg","w");
  
  fprintf(fd1,"Error PEAKS = %f %f\n", ErrorPeak[0], ErrorPeak[1]); 
  fprintf(fd1,"AccelValue[] = %f %f\n", AccelValue[0],  AccelValue[1] );
  fprintf(fd1,"Integral PEAKS = %f %f\n", IntErrorPeak[0], IntErrorPeak[1]); 
  fprintf(fd1,"Derivative PEAKS = %f %f\n", DerErrorPeak[0], DerErrorPeak[1]); 
  fprintf(fd1,"MaxSpeed = %f\n", max_speed );
  fprintf(fd1,"MIN_INT_SPEED = %f\n", MIN_INT_SPEED);
  fprintf(fd1,"MAX_INT_SPEED = %f\n", MAX_INT_SPEED);
  fprintf(fd1,"Kicker kick2load time = %d\n", kicker_kick2load_time);
  fprintf(fd1,"Kicker loading time = %d\n", kicker_loading_time);
  fprintf(fd1,"min positive speed SX = %d\n", min_pos_speed_sx);
  fprintf(fd1,"min negative speed SX = %d\n", min_neg_speed_sx);
  fprintf(fd1,"min positive speed DX = %d\n", min_pos_speed_dx);
  fprintf(fd1,"min negative speed DX = %d\n", min_neg_speed_dx);
  fprintf(fd1,"RULES|%d|%d|%d|%d|%d|\n", Rules[4][0], Rules[4][1], Rules[4][2], Rules[4][3], Rules[4][4]);
  fprintf(fd1,"     |%d|%d|%d|%d|%d|\n", Rules[3][0], Rules[3][1], Rules[3][2], Rules[3][3], Rules[3][4]);
  fprintf(fd1,"der  |%d|%d|%d|%d|%d|\n", Rules[2][0], Rules[2][1], Rules[2][2], Rules[2][3], Rules[2][4]);
  fprintf(fd1,"     |%d|%d|%d|%d|%d|\n", Rules[1][0], Rules[1][1], Rules[1][2], Rules[1][3], Rules[1][4]);
  fprintf(fd1,"     |%d|%d|%d|%d|%d|\n", Rules[0][0], Rules[0][1], Rules[0][2], Rules[0][3], Rules[0][4]);
  fprintf(fd1,"CM_STEPuSEC_SX %f\n",CM_STEPuSEC_SX);
  fprintf(fd1,"CM_STEPuSEC_DX %f\n",CM_STEPuSEC_DX);
  fprintf(fd1,"CM_2STEP_SX %f\n",CM_2STEP_SX);
  fprintf(fd1,"CM_2STEP_DX %f\n",CM_2STEP_DX);
  fprintf(fd1,"CM_STEP_SX %f\n",CM_STEP_SX);
  fprintf(fd1,"CM_STEP_DX %f\n",CM_STEP_DX);
  fprintf(fd1,"Se nessuno l'avesse capito \nil file  finito");
  
  fclose(fd1);
  
  printf("\nVelocita massima\n");
  getchar();    
  
  
  
  H->set_PWM(PWM0, 255);
  H->set_PWM(PWM1, 255);
  H->abilita(PWM0, STATO_ON);
  H->abilita(PWM1, STATO_ON);
  H->reset_encoder();
  usleep(500000);
  H->get_encoder(&sx,&dx);
  printf("\nsx: %d dx: %d",sx,dx);
  printf("\nv_sx: %f v_vd: %f",sx*100/(tot_sx*0.05),dx*100/(tot_dx*0.05));
  H->reset_encoder();
  usleep(500000);
  H->get_encoder(&sx,&dx);
  printf("\nsx: %d dx: %d",sx,dx);
  printf("\nv_sx: %f v_vd: %f",sx*100/(tot_sx*0.05),dx*100/(tot_dx*0.05));
  H->reset_encoder();
  usleep(500000);
  H->get_encoder(&sx,&dx);
  printf("\nsx: %d dx: %d",sx,dx);
  printf("\nv_sx: %f v_vd: %f\n",sx*100/(tot_sx*0.05),dx*100/(tot_dx*0.05));
  H->abilita(PWM0, STATO_OFF);
  H->abilita(PWM1, STATO_OFF);

#endif
}
