#InOwnField

# The robot must stay in its own field until the game starts


## Section Home out of range

	(HomeOutOfRange) 	=> (RotSpeed AHEAD)	(TanSpeed STEADY);


## Section Home very close

	(HomeVeryClose) 	=> (RotSpeed AHEAD)	(TanSpeed STEADY);


## Section Home close


[S]{
(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeClose) (Home<N>)))   		=> (RotSpeed AHEAD)		(TanSpeed <FORWARD>);
}{
(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeClose) (Home<NE>)))  		=> (RotSpeed <SLOW_RIGHT>)	(TanSpeed <FORWARD>);

(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeClose) (Home<ENE>))) 		=> (RotSpeed <RIGHT>)		(TanSpeed <FORWARD>);
}

## Section Home near

[S]{
(AND	(OR	(InMiddleField)
		(InOpponentField))	
	(AND	(HomeNear) (Home<N>))) 			=> (RotSpeed AHEAD)		(TanSpeed <FAST_FORWARD>);
}{
(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeNear) (Home<NE>)))			=> (RotSpeed <SLOW_RIGHT>)	(TanSpeed <FAST_FORWARD>);

(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeNear) (Home<ENE>))) 		=> (RotSpeed <RIGHT>)		(TanSpeed <FAST_FORWARD>);
}


## Section Home far

[S]{
(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeFar) (Home<N>)))			=> (RotSpeed AHEAD)		(TanSpeed <VERY_FAST_FORWARD>);
}{
(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeFar) (Home<NE>)))			=> (RotSpeed <VERY_SLOW_RIGHT>)	(TanSpeed <FAST_FORWARD>);

(AND	(OR	(InMiddleField)
		(InOpponentField))
	(AND	(HomeFar) (Home<ENE>)))			=> (RotSpeed <RIGHT>)		(TanSpeed <FAST_FORWARD>);
}