# Ball In Field

# The robot must try to keep the ball inside the field


## Section LineNorthVeryClose

(AND	(LineNorthVeryClose)
	(AND	(OrientedN)
		(AND	(AND	(ProposedTanXFwd)	
				(OR	(ProposedTanYFwd)
					(ProposedTanYSteady)))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed LEFT);

(AND	(LineNorthVeryClose)
	(AND	(OrientedN)
		(AND	(AND	(ProposedTanXFwd)	
				(ProposedTanYBwd))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed RIGHT);

(AND	(LineNorthVeryClose)
	(AND	(OrientedNE)
		(AND	(ProposedTanXFwd)(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed RIGHT);

(AND	(LineNorthVeryClose)
	(AND	(OrientedE)
		(AND	(ProposedTanYFwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_RIGHT);

(AND	(LineNorthVeryClose)
	(AND	(OrientedNW)
		(AND	(ProposedTanXFwd) (BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed LEFT);

(AND	(LineNorthVeryClose)
	(AND	(OrientedW)
		(AND	(ProposedTanYBwd) (BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_LEFT);

## Section LineSouthVeryClose

(AND	(LineSouthVeryClose)
	(AND	(OrientedS)
		(AND	(AND	(ProposedTanXFwd)	
				(OR	(ProposedTanYFwd)
					(ProposedTanYSteady)))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed LEFT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedS)
		(AND	(AND	(ProposedTanXFwd)	
				(ProposedTanYBwd))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed RIGHT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedSE)
		(AND	(ProposedTanXFwd)(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed LEFT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedE)
		(AND	(ProposedTanYFwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_LEFT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedSW)
		(AND	(ProposedTanXFwd) (BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed RIGHT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedW)
		(AND	(ProposedTanYBwd) (BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_RIGHT);

## Section LineWestVeryClose

(AND	(LineWestVeryClose)
	(AND	(OrientedN)
		(AND	(ProposedTanYFwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_RIGHT);

(AND	(LineWestVeryClose)
	(AND	(OrientedNW)
		(AND	(ProposedTanYFwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed RIGHT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedW)
		(AND	(AND	(ProposedTanXFwd)	
				(OR	(ProposedTanYFwd)
					(ProposedTanYSteady)))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed LEFT);

(AND	(LineSouthVeryClose)
	(AND	(OrientedW)
		(AND	(AND	(ProposedTanXFwd)	
				(ProposedTanYBwd))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed RIGHT);

(AND	(LineWestVeryClose)
	(AND	(OrientedSW)
		(AND	(ProposedTanYBwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed LEFT);

(AND	(LineWestVeryClose)
	(AND	(OrientedS)
		(AND	(ProposedTanYBwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_LEFT);

## Section LineEastVeryClose


(AND	(LineEastVeryClose)
	(AND	(OrientedN)
		(AND	(ProposedTanYFwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_LEFT);

(AND	(LineEastVeryClose)
	(AND	(OrientedNW)
		(AND	(ProposedTanYFwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed LEFT);

(AND	(LineEastVeryClose)
	(AND	(OrientedE)
		(AND	(AND	(ProposedTanXFwd)	
				(OR	(ProposedTanYFwd)
					(ProposedTanYSteady)))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed LEFT);

(AND	(LineEastVeryClose)
	(AND	(OrientedE)
		(AND	(AND	(ProposedTanXFwd)	
				(ProposedTanYBwd))
			(BallInKicker))))
								=>	(&DEL.TanX ANY)
									(TanX STEADY)
									(RotSpeed RIGHT);

(AND	(LineEastVeryClose)
	(AND	(OrientedSE)
		(AND	(ProposedTanYBwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed LEFT);

(AND	(LineEastVeryClose)
	(AND	(OrientedS)
		(AND	(ProposedTanYBwd)(BallInKicker))))
								=>	(&DEL.TanY ANY)
									(TanY STEADY)
									(RotSpeed SLOW_LEFT);