#ifndef SonarExpert_h
#define SonarExpert_h

#include "stdio.h"
#include "StringModuleMember.h"
#include "msg.h"
#include "SonarManager.h"
#include <termios.h>
#include "WiimExpert.h"

class SonarExpert: public StringModuleMember
{
	public:
	SonarExpert(ModuleDispatch* dis,long period);
	~SonarExpert();

	void distancesVaried(int direction, int newDistance);

	void RunInit();
	void RunDuty();
	void RunClose();
	int getDistance(int);
	void registerWE(WiimExpert*);

	private:
	WiimExpert *we;
	char buff[500];
	int lenbuffold;
	int sp;
	int dist[SENSORS_NUMBER * 2];
	int h;
};

#endif