#ifndef Type_h
#define Type_h

typedef struct pos_s{
	float x;
	float y;
	float a;
}pos;

typedef struct ppoint_s{
	int x;
	int y;
	int valid;
}ppoint;

typedef struct lpoint_s{
	int x;
	int y;
	int type; //if 0: point from right camera, if 1: point from left camera, if 2: point from game control
}lpoint;

typedef struct pdistance_s{
	float d;
	float a;
}pdistance;

typedef struct marker_distance_s{
	float x;
	float y;
	float z;
	float rx;
	float ry;
	float rz;
	int markerID;
	float rel;
	int valid;
}marker_distance;

typedef struct weightfloat_s{
	float v;
	float w;
}weightfloat;

#endif
